%global dlrn_nvr ansible-pacemaker-1.0.4.dev10-17.1.20230622022606.7c10fdb
%global dlrn 1
%define upstream_version 1.0.4.dev10

%global srcname ansible_pacemaker

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           ansible-pacemaker
Version: 1.0.4
Release: 17.1.20230622022607%{?dist}
Summary:        Ansible modules for managing Pacemaker clusters

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://github.com/redhat-openstack/ansible-pacemaker
Source0: ansible-pacemaker-1.0.4.dev10-17.1.20230622022606.7c10fdb.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=7c10fdb67b66bdb49f06545d35a4d5446b3aeb9c
Patch0001: 0001-Fix-use-the-correct-command-to-get-a-resource.patch

BuildArch:      noarch
BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr

Requires: (python3dist(ansible) or ansible-core >= 2.11)
Requires: python3-lxml

%description

Ansible-pacemaker is a set of Ansible modules for a Pacemaker cluster, nodes
and resources.

%prep
%autosetup -n %{name}-%{upstream_version} -S git
#Remove ansible from requirements.txt as dependency on ansible is managed manually
sed -i '/^ansible/d' requirements.txt

%build
%py3_build


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%py3_install


%files
%doc README*
%license LICENSE
%{python3_sitelib}/%{srcname}-%{version}-*.egg-info
%{_datadir}/ansible/


%changelog
* Tue Mar 12 2024 Shreshtha Joshi <shrjoshi@redhat.com> 1.0.4-17.1.20230622022607
- Fix: use the correct command to get a resource (rhbz#2252464)

* Wed Jun 21 2023 OSP Prod Chain <dev-null@redhat.com> 1.0.4-17.1.20230622022606.7c10fdb
- Update patches

* Wed Oct 26 2022 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1.20221026103752.7c10fdb
- Update patches
- Fix broken logic for deleted resource

* Fri Oct 21 2022 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1.20221021233709.cacef20
- Fix broken logic for deleted resource

* Fri Oct 21 2022 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1.20221021170415.cacef20
- Update patches
- Ensure idempotency on delete

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.0.4-1.20220727094754.666f706
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 1.0.4-0.20220712071144.666f706
- Update patches

* Thu Sep 09 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.4-0.20210910002612.666f706
- Update patches

* Mon Jun 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.4-0.20210628221810.666f706
- Update patches
- Make get_cluster_status() more robust

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.4-0.20210528105012.accaf26
- Update patches

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.4-0.20210512233606.accaf26
- Update patches

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Sep 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Pass --wait option only on enable,disable,restart.

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix data_files to cover all modules properly
- Avoid shipping __init__.py

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Put the pacemaker modules into /usr/share/ansible/plugins/modules

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change small nits in the pacemaker_is_active module.

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


